#!/bin/bash


EXEDIR=`dirname $0`
cd ${EXEDIR}/lib && LIBDIR="$PWD" && cd - >/dev/null
cd ${EXEDIR}


MAIN_CLASS=main.QMonitor
REQUEST_CLASS=main.RequestSender
HOST=`hostname`
PORT=23456


if [[ $# -lt 1 ]];then
    echo "usage:$0 <START||STOP|RESUME|STOP_<port>|RESUME_<port>|TERMINATE>";
    exit 1;
fi

CLASSNAME=${REQUEST_CLASS}
PARAMS=${1}

if [ "${PARAMS}" = "START" ] ; then
    CLASSNAME=${MAIN_CLASS}
    PARAMS=""
fi


for FILE in ${LIBDIR}/*.jar;
do
  CLASSPATH=${FILE}:${CLASSPATH};
done
CLASSPATH=QMonitor.jar:${CLASSPATH}
export CLASSPATH

#-Djava.awt.headless=true disables graphics
echo "Running: java -Djava.awt.headless=true ${CLASSNAME} ${HOST} ${PORT} ${PARAMS} >logs/out.log 2>&1 &"
java -Djava.awt.headless=true ${CLASSNAME} ${HOST} ${PORT} ${PARAMS} >logs/out.log 2>&1 &

